Bug 230250 - Review Request: gtkhtml38 - GtkHTML 3.8 compatibility library & devel bits
Review Request: gtkhtml38 - GtkHTML 3.8 compatibility library & devel bits
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mads Villadsen
Fedora Package Reviews List
:
Depends On:
Blocks: 230907
  Show dependency treegraph
 
Reported: 2007-02-27 14:06 EST by Bill Nottingham
Modified: 2014-03-16 23:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-19 15:31:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
maxx: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-02-27 14:06:48 EST
Spec URL: http://people.redhat.com/notting/review/gtkhtml38.spec
SRPM URL: http://people.redhat.com/notting/review/gtkhtml38-3.12.3-2.src.rpm
Description: 
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

This package implements the GtkHTML 3.8 API, for packages who cannot
use newer versions of GtkHTML.


The gtkhtml api & abi changed in the development tree with the move from libgnomeprint to gtkprint. Various apps may not be able to cope with the change, either due to the scope of the printing changes required, or the fact that they depend on other libraries not yet ported to GtkPrint. Hence, a compat library for them to build and run against.

See also:
http://bugzilla.gnome.org/show_bug.cgi?id=401970
Comment 1 Jeffrey C. Ollie 2007-02-27 14:33:18 EST
Since this is a compatibility package, shouldn't it be named compat-gtkhtml38?
Comment 2 Bill Nottingham 2007-02-27 14:53:53 EST
http://fedoraproject.org/wiki/Packaging/NamingGuidelines implies gtkhtml38, like
openssl096b.

Comment 3 Mads Villadsen 2007-03-10 17:27:58 EST
rpmlint gives the following output:

W: gtkhtml38-devel no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

Which in this case is fine anyway since I couldn't find any documentation in the
source package that could have been included.

Package name and spec file name are fine.

License is fine and included in the package.

Source file matches upstream.

Package compiles and builds on x86.

Build dependencies listed correctly in BuildRequires.

.so files split up correctly between main package and devel package.

no .la files.

-devel requires base package correctly.

package cleanup is fine.

So everything is basically fine.


However one small error is the line trying to delete a .servere file.

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/GNOME_GtkHTML_Editor-3.8.servere

That should be

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/GNOME_GtkHTML_Editor-3.8.server

And it might be nice with a small note in spec file explaining why the .server
file is being deleted. I am assuming it is because you want this package just to
provide the old libs and not the old bonobo components?

If you fix these small things I'll ACCEPT the package. By the way this will be
first formal package review so I hope I am doing it correctly.
Comment 4 Matthew Barnes 2007-03-10 18:23:15 EST
The server file should not be deleted!

My guess is at one time the upstream package shipped a misspelled Bonobo server
file and this command corrected the error so that we wouldn't package it, but I
can't find any evidence of that in the ChangeLog or in Bugzilla.  The entire
command can be safely removed, which I've already done for Rawhide.
Comment 5 Mads Villadsen 2007-03-10 19:07:47 EST
Okay. That's why I asked for clarification. So with the rm line gone I think the
package should be accepted.
Comment 6 Bill Nottingham 2007-03-12 12:29:46 EDT
New spec file uploaded with the 'rm' removed.

Matt - is the gtkhtml with the ABI bump in rawhide yet?
Comment 7 Matthew Barnes 2007-03-12 13:10:38 EDT
No, not yet.  Seems upstream rediscovered the problem at the 11th hour.

See http://bugzilla.gnome.org/show_bug.cgi?id=401970#c24 and onward.

I'm waiting to see how this turns out before updating Rawhide.  I don't want the
soname in Fedora to get out of sync with upstream, broken or not.
Comment 8 Mads Villadsen 2007-03-12 14:39:31 EDT
Built the new rpm and tried to install it:

maxx@ice:~/rpmbuild/SPECS$ sudo rpm -Uvh ../RPMS/i386/gtkhtml38-3.12.3-3.i386.rpm 
Password:
Preparing...                ########################################### [100%]
        file /usr/lib/bonobo/servers/GNOME_GtkHTML_Editor-3.8.server from
install of gtkhtml38-3.12.3-3 conflicts with file from package
gtkhtml3-3.13.92-2.fc7
        file /usr/lib/gtkhtml/libgnome-gtkhtml-editor-3.8.so from install of
gtkhtml38-3.12.3-3 conflicts with file from package gtkhtml3-3.13.92-2.fc7
        file /usr/share/gtkhtml-3.8/GNOME_GtkHTML_Editor-emacs.xml from install
of gtkhtml38-3.12.3-3 conflicts with file from package gtkhtml3-3.13.92-2.fc7
        file /usr/share/gtkhtml-3.8/GNOME_GtkHTML_Editor.xml from install of
gtkhtml38-3.12.3-3 conflicts with file from package gtkhtml3-3.13.92-2.fc7
        file /usr/share/gtkhtml-3.8/gtkhtml-editor-properties.glade from install
of gtkhtml38-3.12.3-3 conflicts with file from package gtkhtml3-3.13.92-2.fc7

Will these conflicts go away when the new gtkhtml3 hits rawhide?

Otherwise the install directory for these file (/usr/share/gtkhtml-3.8/) has to
be patched to something else.
Comment 9 Bill Nottingham 2007-03-12 14:49:05 EDT
It should, yes.  But that requires upstream to respin with the changes. which
we're waiting on.
Comment 10 Matthew Barnes 2007-03-12 14:56:08 EDT
They just did.  Should be fixed in gtkhtml3-3.14.0-1.fc7, which will be
available in the next day or so (soon as I get it packaged).
Comment 11 Mads Villadsen 2007-03-13 15:02:14 EDT
I updated to gtkhtml3-3.14.0-1.fc7 and did a mock build of gtkhtml38. They both
install fine alongside each other - and gnucash is now able to run and show
reports, so everything is in order.

So I've ACCEPTed the package. 
Comment 12 Bill Nottingham 2007-03-13 15:08:49 EDT
Setting fedora-cvs flag.

New Package CVS Request
=======================
Package Name: gtkhtml38
Short Description: GtkHTML library, API version 3.8
Owners: notting@redhat.com
Branches: devel only
InitialCC: 

Comment 13 Bill Nottingham 2007-03-19 15:31:26 EDT
This is built now.
Comment 14 Bill Nottingham 2008-06-06 16:43:18 EDT
Package Change Request
======================
Package Name: gtkhtml38
New Branches: EL-5

Requesting to add to EL-5, as the gtkhtml3 ABI was changed in 5.2.
Comment 15 Patrice Dumas 2008-06-06 16:52:07 EDT
As I said on the epel mailing list, isn't that package conflicting
with a package in RHEL (and it is forbidden)?
Comment 16 Bill Nottingham 2008-06-06 17:03:54 EDT
It will not conflict with anything in RHEL 5.2. If it's decided to add something
like this to a later RHEL update, it can then be retired...
Comment 17 Matthew Barnes 2008-06-06 17:47:18 EDT
Bug #345531 was the original ticket I opened for adding this package to RHEL
5.2.  I closed it as WONTFIX since nothing in RHEL needs it and I thought it
would be easier to just add it to EPEL ("easier" meaning less red tape).  Are we
looking to add it to RHEL after all?
Comment 18 Kevin Fenzi 2008-06-08 13:53:22 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.